<?php
$___notjson=1;
require_once "configdops.php";
$site = str_replace("http://", "", $site);
$site = str_replace("www.", "", $site);
$site2 = str_replace("http://", "", $site2);
$site2 = str_replace("www.", "", $site2);

$refer = $_SERVER['HTTP_REFERER']; // откуда идет вызов функции
$refer = str_replace("www.", "", $refer); // вырезаем www. из реферера
$domain = substr($refer, 7, strlen($site)); // переменная $домен равна рефереру, начиная с 7 символа (т.е. http:// вырезается), с количеством символов, равным количеству символов в переменной $site
$domain2 = substr($refer, 7, strlen($site2));
if($apikey != "")
{
$api = "?apikey=$apikey";
}

$idmodul = addslashes($_POST['mod']);
if($domain == $site or $domain2 == $site2)
{

switch ($idmodul) {
case "load":
    $module = 'load';
    break;
case "news":
    $module = 'news';
    break;
case "blog":
    $module = 'blog';
    break;
case "publ":
    $module = 'publ';
    break;
case "stuff":
    $module = 'stuff';
    break;
}
$cid = addslashes($_POST['cid']);
$idmateriala = (int)$_POST['id'];
if($module == 'load' or $module == 'stuff' or $module == 'publ') {
$context = stream_context_create(array('http' => array('method' => "GET", 'header' => "Content-Type: text/xml",)));
$file = file_get_contents("http://".$site."/api/".$module."/".$cid."-1-0-".$idmateriala.$api, false, $context);
$response = xmlrpc_decode($file,"utf8");
}
if($module == 'news' or $module == 'blog') {
$context = stream_context_create(array('http' => array('method' => "GET", 'header' => "Content-Type: text/xml",)));
$file = file_get_contents("http://".$site."/api/".$module."/".$cid.$api, false, $context);
$response = xmlrpc_decode($file,"utf8");
}

str_replace(" ", "", $moderid);
$editmode=explode(",", $moderid);

//Проверяем, действительно ли материал был добавлен пользователем ucoz_getinfo("SITEUSERID")
if($response['USER_ID'] == ucoz_getinfo("SITEUSERID") or in_array(ucoz_getinfo("SITEUSERID"),$editmode))
{
$kolvo = count($_POST);
if($kolvo>1)
{
$papka = $idmateriala/500;
$papkatsel = (int)$papka;
if(is_dir($module."/".$papkatsel)){
	if (unlink("./".$module."/".$papkatsel."/".$idmateriala.".txt"))
	{ echo "Дополнительные поля <b>удалены</b>!"; }
	else
	{
	echo "Дополнительные ссылки материала отсутствуют.";
	};
}
}
}
else {
echo "Вы не имеете доступа к редактированию дополнительных полей данного материала.";
}
}
?>